Đến nội dung


Hình ảnh
* * - - - 2 Bình chọn

[Giúp em viết cái lisp] chuyển text các cao độ trong Autocad sang file dạng *.txt


  • Please log in to reply
67 replies to this topic

#61 phamthanhbinh

phamthanhbinh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 6009 Bài viết
Điểm đánh giá: 3113 (tuyệt vời)

Đã gửi 09 June 2012 - 10:05 AM

Quá tốt cảm ơn bác PHAMTHANH BINH nhiều nhé, e mới ra trường đang thực tập mong các bác chỉ giáo nhiều,

còn một việc nữa là làm sao để gán màu và font chữ cho layer vậy các bác.

Hề hề hề,
Gán màu cho layer thì bạn có thể sử dụng lệnh make layer để gán theo hướng dẫn trên dòng command.
Cò gán font chữ thì hình như hổng có mà chỉ có gán font chữ trong text style. Layer không quản lý font chữ bạn ạ.
  • 1
Chúc các quý Anh trên diễn đàn luôn khỏe, đẻ thêm được nhiều thứ để mót.

#62 vietlove

vietlove

    biết pan

  • Members
  • Pip
  • 5 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 09 June 2012 - 11:33 AM

Em đang mò mẫm học thôi, lên chưa biết nhiều về Lisp.
Lúc nào anh rảnh sửa giùm em với nhé, để e coi học hỏi.

1. Gán màu cho layer. point thành màu đỏ chẳng hạn.
2. Thay tên layer point là Cao do.
3. Tạo một layer trống là Mep duong

Em còn gà mong anh giúp đỡ nhé.
  • 0

#63 phamthanhbinh

phamthanhbinh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 6009 Bài viết
Điểm đánh giá: 3113 (tuyệt vời)

Đã gửi 09 June 2012 - 02:17 PM

Em đang mò mẫm học thôi, lên chưa biết nhiều về Lisp. Lúc nào anh rảnh sửa giùm em với nhé, để e coi học hỏi. 1. Gán màu cho layer. point thành màu đỏ chẳng hạn. 2. Thay tên layer point là Cao do. 3. Tạo một layer trống là Mep duong Em còn gà mong anh giúp đỡ nhé.

Hề hề hề,
Thật lòng chưa hiển ý bạn. Nếu là bạn hỏi về lệnh CAD thì chỉ cần bạn gõ -layer trên dòng command và thực hiện các option của nó là đủ để làm tất cả những điều bạn cần.
Nếu là bạn hỏi cách dùng lisp để làm thì trên diễn đàn cũng đã có vô thiên lủng.
Nếu bạn thực sự muốn tìm hiểu thì chỉ cần bạn chịu khó đọc help của CAd là sẽ vỡ hết .
Quá trình bạn tìm hiểu nếu bạn thấy khó khăn chỗ nào thì post cụ thể chỗ đó lên mọi người sẽ chỉ tiếp bạn nhé.
  • 0
Chúc các quý Anh trên diễn đàn luôn khỏe, đẻ thêm được nhiều thứ để mót.

#64 andday_09

andday_09

    Chưa sử dụng CAD

  • Members
  • Pip
  • 1 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 31 July 2012 - 05:24 PM

Chào bạn!Mình đang cần cái lisp DC.LSP,nếu bạn có bạn có thể cho mình xin vào địa chỉ mail của mình: hoangtuan.st@gmail.com
Cản ơn bạn!
  • 0

#65 phamthanhbinh

phamthanhbinh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 6009 Bài viết
Điểm đánh giá: 3113 (tuyệt vời)

Đã gửi 31 July 2012 - 09:32 PM

Chào bạn!Mình đang cần cái lisp DC.LSP,nếu bạn có bạn có thể cho mình xin vào địa chỉ mail của mình: hoangtuan.st@gmail.com
Cản ơn bạn!

Hề hề hề
Bạn hãy nói rõ cái DC.lsp dùng để làm việc gì vậy??? Lisp có rất nhiều mà lệnh lisp lại khá tùy hứng nên nếu bạn chỉ nói vậy thì khó có thể biết bạn cần gì mà gửi????
  • 0
Chúc các quý Anh trên diễn đàn luôn khỏe, đẻ thêm được nhiều thứ để mót.

#66 silictoong

silictoong

    biết pan

  • Members
  • Pip
  • 5 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 19 November 2012 - 06:33 AM

Hix.Có bác nào có lisp tên là Dc.lsp ở các phần mềm hướng dẫn san nền HS 3.0 thì share cho em với.
Dc.lsp là lisp chuyển các điểm mtext trong cad sang file .txt. Giá trị mtext là giá trị cao độ Z. Vị trí dấu phẩy hoặc trung tâm chữ mtext được lấy làm tọa độ x,y của điểm ạ.
  • 0

#67 trieubb

trieubb

    biết vẽ ellipse

  • Members
  • PipPip
  • 59 Bài viết
Điểm đánh giá: 6 (bình thường)

Đã gửi 06 September 2013 - 12:27 PM

Mình gửi bạn lisp xuất sang file text,mình thường dùng đề lấy cao độ khi làm san nền ( một số video hướng dẫn san nền mình cũng dùng lisp này)

(defun doichu ()
  (setvar "cmdecho" 0)
  (setvar "cmdecho" 0)
  (setvar "osmode" 0)
(if_file2)
  ;(setq s (getstring "\nFilename <Khong-Ten>: "))
;(if (= s nul) (setq s "Khong-Ten"))
(setq fn (open filename2 "w"))
  (setq i 0)
  (setq j 1)
  (prompt "\n")
  (prompt "\Ch&#228;n C&#184;c &#167;i&#211;m Cao &#167;&#233; : ")
  (setq ss  (ssget (list (cons 0 "Text"))))
  (if ss
            	(progn
                   	(repeat (sslength ss)   
	(setq ent (entget (ssname ss i)))    
	(setq nd (cdr (assoc 1 ent)))
	(setq ss1 (cdr (assoc 72 ent)))
	(setq ss2 (cdr (assoc 73 ent)))
 	(if (and (= ss1 0) (= ss2 0))
    	(setq td (cdr (assoc 10 ent)))
    	(setq td (cdr (assoc 11 ent)))
 	)
	;(setq td1 (cdr (assoc 10 ent)))
   (setq Y (cadr td))
   (setq X (car td))
   (setq z (caddr td))
   (write-line (strcat (itoa j)
     	" "
     	(rtos X 2 3)
     	" "
     	(rtos Y 2 3)
     	" "
     	(rtos z 2 3)
     	" "
     	nd
     	) fn)
	(setq i (+ i 1))
   (setq j (+ j 1))
    	)
	)
	)
  (close fn)
  (setvar "osmode" 191)
  (prompt "\n****	Ch&#243;c B&#185;n Th&#181;nh C&#171;ng ***")
  (princ) 
)
;********************************
;*********
(defun c:xtd ()
  	(doichu)     
  )
;;***************************Mo file
(defun if_file1 (/ name1)
  (if (= filename1 nil)
	(progn
           	(setq name1 (getfiled "M&#235; T&#203;p Tin Ch&#248;a S&#232; Li&#214;u"
                        	(strcat "d:/canhan/TUAN/luu/" "solieu") "txt" 2))
           	(if name1 (setq filename1 (strcase name1)))
  	)
	(progn
	(setq name1 (getfiled "M&#235; T&#203;p Tin Ch&#248;a S&#232; Li&#214;u"
                        	filename1 "txt" 2))
           	(if name1 (setq filename1 (strcase name1)))
	)
	)
           	)
;****************************Ghi file
(defun if_file2 (/ name2)
  (if (= filename2 nil)
	(progn
           	(setq name2 (getfiled "M&#235; T&#203;p Tin Ch&#248;a S&#232; Li&#214;u"
                        	(strcat "d:/canhan/TUAN/luu/" "solieu") "txt" 1))
           	(if name2 (setq filename2 (strcase name2)))
  	)
	(progn
	(setq name2 (getfiled "L&#173;u T&#203;p Tin S&#232; Li&#214;u"
                        	filename2 "txt" 1))
           	(if name2 (setq filename2 (strcase name2)))
	)
	)
           	)

Vậy bác có cái nào làm ngược lại không bác? tức từ file txt (giống như file bác xuất ra) và import các điểm vào bản vẽ có hiện cái cột thứ 5 cao độ lên ấy bác.


  • 0

#68 phamthanhbinh

phamthanhbinh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 6009 Bài viết
Điểm đánh giá: 3113 (tuyệt vời)

Đã gửi 06 September 2013 - 12:34 PM

Vậy bác có cái nào làm ngược lại không bác? tức từ file txt (giống như file bác xuất ra) và import các điểm vào bản vẽ có hiện cái cột thứ 5 cao độ lên ấy bác.

Hề hề hề,

Hình như trên diễn đàn này có cái lisp như vậy rùi đó. bạn chịu khó tìm kiếm coi sao. nếu không thấy, bạn hãy gửi một file dữ liệu của bạn lên và gửi cái bản vẽ thể hiện cái kết quả bạn cần. Có nhẽ việc thực hiện sẽ không quá khó bạn ạ.


  • 0
Chúc các quý Anh trên diễn đàn luôn khỏe, đẻ thêm được nhiều thứ để mót.